using System;
using System.Collections.Generic;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using FooEditEngine;

// 基本ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234237 を参照してください

namespace FooEditor
{
    /// <summary>
    /// 多くのアプリケーションに共通の特性を指定する基本ページ。
    /// </summary>
    public sealed partial class GlobalSettingFlyout : SettingsFlyout
    {
        public GlobalSettingFlyout()
        {
            this.InitializeComponent();

            this.LineBreakMethodCollection.ItemsSource = LineBreakMethodEnumCollection.Get();

            this.FontFamilyCollection.ItemsSource = FontFamillyCollection.GetFonts();
            
            this.FlyoutContent.DataContext = AppSettings.Current;
        }

    }
}
